API ReferenceAdmin Oidc Apps
Rotate Jwk
POST
/v1/admin/oidc-apps/{client_id}/keys/rotateAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
client_id*Client Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Register a new public key and retire every current one.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/admin/oidc-apps/string/keys/rotate" \ -H "Content-Type: application/json" \ -d '{ "jwks": {} }'{ "items": [ { "id": "string", "kind": "jwk", "kid": "string", "kty": "string", "alg": "string", "thumbprint": "string", "state": "current", "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "retired_at": "2019-08-24T14:15:22Z", "revoked_at": "2019-08-24T14:15:22Z", "revoke_reason": "string", "reactivatable_until": "2019-08-24T14:15:22Z", "jwk": {}, "pem": "string", "not_after": "2019-08-24T14:15:22Z" } ], "keys_required": true}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}